curl -X GET "https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
url = "https://YOUR_BASE_URL/jobs/comparison"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
params = {
"page": 1,
"size": 20,
"status_filters": "FAILURE",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE",
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"items": [
{
"job_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"comparison_result_id": "ffffffff-0000-0000-0000-000000000006",
"status": "SUCCESS",
"source_datasource_name": "prod-postgres",
"target_datasource_name": "prod-snowflake",
"source_dataset_name": "orders",
"target_dataset_name": "orders",
"source_datasource_type": "postgresql",
"target_datasource_type": "snowflake",
"task_id": "7f3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"created_at": "2025-01-15T10:00:00Z",
"started_at": "2025-01-15T10:00:02Z",
"date_done": "2025-01-15T10:01:45Z",
"time_taken": 103.2,
"retry_count": 0,
"message": ""
}
],
"page": 1,
"size": 20,
"total": 1,
"pages": 1
},
"meta": {
"status_filters": ["SUCCESS", "FAILURE", "PENDING"],
"source_dataset_filters": ["orders"],
"target_dataset_filters": ["orders"]
}
}
Jobs
List Comparison Jobs
List comparison jobs in the workspace with optional status, dataset, and time range filters.
GET
/
jobs
/
comparison
curl -X GET "https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
url = "https://YOUR_BASE_URL/jobs/comparison"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
params = {
"page": 1,
"size": 20,
"status_filters": "FAILURE",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE",
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"items": [
{
"job_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"comparison_result_id": "ffffffff-0000-0000-0000-000000000006",
"status": "SUCCESS",
"source_datasource_name": "prod-postgres",
"target_datasource_name": "prod-snowflake",
"source_dataset_name": "orders",
"target_dataset_name": "orders",
"source_datasource_type": "postgresql",
"target_datasource_type": "snowflake",
"task_id": "7f3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"created_at": "2025-01-15T10:00:00Z",
"started_at": "2025-01-15T10:00:02Z",
"date_done": "2025-01-15T10:01:45Z",
"time_taken": 103.2,
"retry_count": 0,
"message": ""
}
],
"page": 1,
"size": 20,
"total": 1,
"pages": 1
},
"meta": {
"status_filters": ["SUCCESS", "FAILURE", "PENDING"],
"source_dataset_filters": ["orders"],
"target_dataset_filters": ["orders"]
}
}
Response
Paginated list of jobs.
Show data
Show data
List of comparison job objects.
Show items[]
Show items[]
Includes available filter values for
status_filters, source_dataset_filters, and target_dataset_filters.curl -X GET "https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>"
import requests
url = "https://YOUR_BASE_URL/jobs/comparison"
headers = {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
}
params = {
"page": 1,
"size": 20,
"status_filters": "FAILURE",
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const response = await fetch(
"https://YOUR_BASE_URL/jobs/comparison?page=1&size=20&status_filters=FAILURE",
{
method: "GET",
headers: {
"Authorization": "Bearer <api-key>",
"Workspace-Id": "<workspace-id>",
},
}
);
const data = await response.json();
console.log(data);
{
"data": {
"items": [
{
"job_id": 1042,
"comparison_id": "eeeeeeee-0000-0000-0000-000000000005",
"comparison_name": "orders table comparison",
"comparison_result_id": "ffffffff-0000-0000-0000-000000000006",
"status": "SUCCESS",
"source_datasource_name": "prod-postgres",
"target_datasource_name": "prod-snowflake",
"source_dataset_name": "orders",
"target_dataset_name": "orders",
"source_datasource_type": "postgresql",
"target_datasource_type": "snowflake",
"task_id": "7f3a1b2c-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
"created_at": "2025-01-15T10:00:00Z",
"started_at": "2025-01-15T10:00:02Z",
"date_done": "2025-01-15T10:01:45Z",
"time_taken": 103.2,
"retry_count": 0,
"message": ""
}
],
"page": 1,
"size": 20,
"total": 1,
"pages": 1
},
"meta": {
"status_filters": ["SUCCESS", "FAILURE", "PENDING"],
"source_dataset_filters": ["orders"],
"target_dataset_filters": ["orders"]
}
}